Skip to main content
GET
/
v1
/
model_apis
cURL
curl --request GET \
--url https://api.baseten.co/v1/model_apis \
--header "Authorization: Bearer $BASETEN_API_KEY"
{
  "items": [
    {
      "name": "<string>",
      "display_name": "<string>",
      "description": "<string>",
      "release_date": "2023-12-25",
      "invoke_url": "<string>",
      "context_length": 123,
      "cost_per_million_input_tokens": "0.13",
      "cost_per_million_output_tokens": "0.50",
      "rate_limits": [
        {
          "threshold": 2
        }
      ],
      "model_family": "META",
      "org_details": {
        "added_at": "2023-11-07T05:31:56Z",
        "last_used_at": "2023-11-07T05:31:56Z"
      }
    }
  ],
  "pagination": {
    "has_more": true,
    "cursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Pass your Baseten API key. Clients automatically send Authorization: Bearer <key>. Direct callers can also use Authorization: Api-Key <key>; both schemes are accepted.

Query Parameters

cursor
string | null

Opaque cursor returned by a previous page. Omit to fetch the first page.

limit
integer
default:100

Maximum number of items to return.

Required range: 1 <= x <= 1000
added_only
boolean
default:false

When true, restrict the result to Model APIs the workspace has added. Defaults to the full visible catalog.

Response

200 - application/json

Page of Model APIs visible to the caller.

items
ModelAPIV1 · object[]
required

Items in this page.

pagination
PaginationResponseV1 · object
required

Pagination metadata for the page.